Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Class LadderizeEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.ComplexDocumentEdit
              info.bioinfweb.treegraph.document.undo.edit.LadderizeEdit

All Implemented Interfaces:
  javax.swing.undo.UndoableEdit

    public class LadderizeEdit

extends ComplexDocumentEdit

This class ladderized a subtree. This operation cannot be undone.

Author:
  Ben Stöver

Field Summary
`private boolean` | `down`
`private Node` | `root`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`LadderizeEdit(Document document, Node root, boolean down)`

Method Summary
`java.lang.String` | `getPresentationName()`
`private void` | `ladderize(Node root, boolean down)`
`protected void` | `performRedo()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.ComplexDocumentEdit
`findEquivilant, findEquivilant, redo, undo`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### root

    private Node root

### down

    private boolean down

Constructor Detail

### LadderizeEdit

    public LadderizeEdit(Document document,
                         Node root,
                         boolean down)

Method Detail

### ladderize

    private void ladderize(Node root,
                           boolean down)

### performRedo

    protected void performRedo()

  Specified by:
    `performRedo` in class `ComplexDocumentEdit`

### getPresentationName

    public java.lang.String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD